Summary:        OpenGL and OpenGL ES shader front end and validator
Name:           glslang
Version:        12.3.1
Release:        3%{?dist}

License:        BSD and GPLv3+ and ASL 2.0
URL:            https://github.com/KhronosGroup/%{name}
Source0:        https://github.com/KhronosGroup/glslang/archive/refs/tags/%{version}.tar.gz
Source1:        glslang.pc 
Source2:        spirv.pc

BuildRequires:  cmake3, gcc-c++, ninja-build
BuildRequires:  spirv-tools-devel

%description
This package provides a Khronos-reference front end for GLSL/ESSL, partial front
end for HLSL, and a SPIR-V generator

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides development files for developers who use glslang.

%prep
%autosetup -p1

%build
%cmake3 -DBUILD_SHARED_LIBS=OFF
%cmake_build

%install
%cmake_install
install -pm 0755 %{_vpath_builddir}/StandAlone/glslangValidator %{buildroot}%{_bindir}/
install -Dpm 0644 %{SOURCE1} %{buildroot}%{_libdir}/pkgconfig/glslang.pc
install -Dpm 0644 %{SOURCE2} %{buildroot}%{_libdir}/pkgconfig/spirv.pc

rm -rf %{buildroot}%{_includedir}/SPIRV

%check
pushd Test
./runtests localResults ../%{_vpath_builddir}/StandAlone/glslangValidator ../%{_vpath_builddir}/StandAlone/spirv-remap
popd

%files
%doc README.md README-spirv-remap.txt
%{_bindir}/glslangValidator
%{_bindir}/glslang
%{_bindir}/spirv-remap

%files devel
%{_includedir}/glslang/
%{_libdir}/libHLSL.a
%{_libdir}/libOGLCompiler.a
%{_libdir}/libOSDependent.a
%{_libdir}/libSPIRV.a
%{_libdir}/libSPVRemapper.a
%{_libdir}/libglslang.a
%{_libdir}/libGenericCodeGen.a
%{_libdir}/libMachineIndependent.a
%{_libdir}/libglslang-default-resource-limits.a
%{_libdir}/pkgconfig/glslang.pc
%{_libdir}/pkgconfig/spirv.pc
%{_libdir}/cmake/*

%changelog
* Mon Dec 25 2023 luffyluo <luffyluo@tencent.com> - 12.3.1-3
- Rebuilt for vulkan-loader 1.3.268.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.3.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 jackeyji <jackeyji@tencent.com> - 12.3.1-1
- upgrade to 12.3.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 11.12.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 11.12.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 16 2022 cunshunxia <cunshunxia@tencent.com> - 11.12.0-1
- initial build
